Package twisted :: Package im :: Module basechat :: Class ChatUI

[show private | hide private]
[frames | no frames]

## Class ChatUI

A GUI chat client

Method Summary
| `__init__(self)`
| ``contactChangedNick`(self, oldnick, newnick)` For the given person, changes the person's name to newnick, and tells the contact list and any conversation windows with that person to change as well.
`ContactsList` | ``getContactsList`(self)`
`Conversation<interfaces.IConversation>` | ``getConversation`(self, person, Class, stayHidden)` For the given person object, returns the conversation window or creates and returns a new conversation window if one does not exist.
`Group<interfaces.IGroup>` | ``getGroup`(self, name, client)` For the given name and account client, returns the instance of the AbstractGroup subclass, or creates and returns a new AbstractGroup subclass of the type Class
`GroupConversation<interfaces.IGroupConversation>` | ``getGroupConversation`(self, group, Class, stayHidden)` For the given group object, returns the group conversation window or creates and returns a new group conversation window if it doesn't exist
`Person<interfaces.IPerson>` | ``getPerson`(self, name, client)` For the given name and account client, returns the instance of the AbstractPerson subclass, or creates and returns a new AbstractPerson subclass of the type Class
| ``registerAccountClient`(self, client)` Notifies user that an account has been signed on to.
| ``unregisterAccountClient`(self, client)` Notifies user that an account has been signed off or disconnected

Method Details

### contactChangedNick(self, oldnick, newnick)

For the given person, changes the person's name to newnick, and tells the contact list and any conversation windows with that person to change as well.

  Parameters:
    `oldnick`
    (type=string)
    `newnick`
    (type=string)

### getContactsList(self)

  Returns:
    `ContactsList`

### getConversation(self, person, Class=<class twisted.im.basechat.Conversation at&n..., stayHidden=0)

For the given person object, returns the conversation window or creates and returns a new conversation window if one does not exist.

  Parameters:
    `person`
    (type=`Person<interfaces.IPerson>`)
    `Class`
    (type=`Conversation<interfaces.IConversation>` class)
    `stayHidden`
    (type=boolean)
  Returns:
    `Conversation<interfaces.IConversation>`

### getGroup(self, name, client)

For the given name and account client, returns the instance of the AbstractGroup subclass, or creates and returns a new AbstractGroup subclass of the type Class

  Parameters:
    `name`
    (type=string)
    `client`
    (type=`Client<interfaces.IClient>`)
  Returns:
    `Group<interfaces.IGroup>`

### getGroupConversation(self, group, Class=<class twisted.im.basechat.GroupConversation ..., stayHidden=0)

For the given group object, returns the group conversation window or creates and returns a new group conversation window if it doesn't exist

  Parameters:
    `group`
    (type=`Group<interfaces.IGroup>`)
    `Class`
    (type=`Conversation<interfaces.IConversation>` class)
    `stayHidden`
    (type=boolean)
  Returns:
    `GroupConversation<interfaces.IGroupConversation>`

### getPerson(self, name, client)

For the given name and account client, returns the instance of the AbstractPerson subclass, or creates and returns a new AbstractPerson subclass of the type Class

  Parameters:
    `name`
    (type=string)
    `client`
    (type=`Client<interfaces.IClient>`)
  Returns:
    `Person<interfaces.IPerson>`

### registerAccountClient(self, client)

Notifies user that an account has been signed on to.

  Parameters:
    `client`
    (type=`Client<interfaces.IClient>`)
  Returns:
    client, so that I may be used in a callback chain

### unregisterAccountClient(self, client)

Notifies user that an account has been signed off or disconnected

  Parameters:
    `client`
    (type=`Client<interfaces.IClient>`)

Generated by Epydoc 1.1 on Thu May 8 13:18:22 2003 | http://epydoc.sf.net